Package picard.illumina

## Enum DistanceMetric

- java.lang.Object
- - java.lang.Enum<DistanceMetric>
  - - picard.illumina.DistanceMetric

- All Implemented Interfaces:
    `Serializable`, `Comparable<DistanceMetric>`, `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`

      public enum DistanceMetric
      extends Enum<DistanceMetric>
      implements org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FREE` |
    `HAMMING` |
    `LENIENT_HAMMING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `distance​(BarcodeEditDistanceQuery editDistance)` |
    `protected abstract int` | `distance0​(SingleBarcodeDistanceMetric editDistance)` |
    `String` | `getHelpDoc()` |
    `static DistanceMetric` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DistanceMetric[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HAMMING

          public static final DistanceMetric HAMMING

    - #### LENIENT_HAMMING

          public static final DistanceMetric LENIENT_HAMMING

    - #### FREE

          public static final DistanceMetric FREE

  - ### Method Detail

    - #### values

          public static DistanceMetric[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistanceMetric c : DistanceMetric.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistanceMetric valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### distance0

          protected abstract int distance0​(SingleBarcodeDistanceMetric editDistance)

    - #### distance

          public int distance​(BarcodeEditDistanceQuery editDistance)

    - #### getHelpDoc

          public String getHelpDoc()

      Specified by:
        `getHelpDoc` in interface `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`